Crystal Space: CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon Struct Reference

Interpolator over a scanline, common code. More...

`#include <csplugincommon/softshader/types.h>`

Inheritance diagram for CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon:

[legend]
List of all members.

## Public Attributes
csFixed24 | dIzdx
float | dIzdx_f
float | dIzdx_fLast
csFixed24 | Iz
| 1/z and per-pixel delta
float | Iz_f
| 1/f - float for better accuracy, delta is for 1 interpolation span

## Detailed Description

Interpolator over a scanline, common code.

Definition at line 132 of file types.h.

## Member Data Documentation

csFixed24 CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon::Iz

1/z and per-pixel delta

Definition at line 135 of file types.h.

Referenced by CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >::Advance(), CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Advance(), CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >::Setup(), and CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Setup().

float CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon::Iz_f

1/f - float for better accuracy, delta is for 1 interpolation span

Definition at line 137 of file types.h.

Referenced by CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >::Advance(), CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Advance(), CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >::Setup(), and CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Setup().

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/types.h